%global datecommit 20181224
%global commit 92d286a502052869850b5815326e893629f41ba5
%global shortcommit %(c=%{commit}; echo ${c:0:7}) 
%global gitrev %{datecommit}git%{shortcommit}

%define _prefix /usr/local

Name:    mcpelauncher-ui
Version: 0.1
Release: 2.%{gitrev}.1%{?dist}
Summary: Minecraft Bedrock Qt launcher
URL:     https://mcpelauncher.readthedocs.io
License: GPLv3, MIT

#Requires(pre): shadow-utils
BuildRequires: cmake
BuildRequires: make
BuildRequires: gcc
BuildRequires: openssl-devel
BuildRequires: curl-devel
BuildRequires: qt5-devel
BuildRequires: qt5-qtwebengine-devel
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel
BuildRequires: systemd-devel(x86-32)
BuildRequires: libevdev-devel(x86-32)
BuildRequires: libX11-devel(x86-32)
BuildRequires: libXi-devel(x86-32)
BuildRequires: libpng-devel(x86-32)
BuildRequires: libcurl-devel(x86-32)
BuildRequires: zlib-devel(x86-32)
BuildRequires: mesa-libEGL-devel(x86-32)
BuildRequires: protobuf-devel
BuildRequires: libzip-devel
BuildRequires: libuv-devel
Source0: mcpelauncher-ui-manifest-%{shortcommit}.tar.gz

%description
Qt launcher part, which lets you download and manage Minecraft versions and can assist in troubleshooting. 

%prep
%autosetup -v -n mcpelauncher-ui-manifest

%build
mkdir build
cd build
# -DENABLE_MSA_QT_UI=O 
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%make_build

%install
cd build
%make_install

%check

%files -f build/install_manifest.txt
%license mcpelauncher-ui-qt/LICENSE

%changelog
* Tue Jan 09 2018 Steve Miller <copart@gmail.com> - 0.9.5-1
- Initial package build
